Bug 1419291 - Review Request: python-backports-unittest_mock - backport of unittest mock for python 3.2 and before
Summary: Review Request: python-backports-unittest_mock - backport of unittest mock ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 22:56 UTC by Kevin Fenzi
Modified: 2017-02-06 18:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 18:00:13 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Kevin Fenzi 2017-02-04 22:56:43 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/review/python-backports-unittest_mock/python-backports-unittest_mock.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/review/python-backports-unittest_mock/python-backports-unittest_mock-1.2.1-1.fc26.src.rpm

Description: 
Provides a function “install()” which makes the “mock” module
available as “unittest.mock” on Python 3.2 and earlier.

Also advertises a pytest plugin which configures
unittest.mock automatically.

Fedora Account System Username: kevin

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=17602296

rpmlint says: 

python2-backports-unittest_mock.noarch: W: spelling-error Summary(en_US) backport -> back port, back-port, backpacker
python2-backports-unittest_mock.noarch: W: spelling-error Summary(en_US) unittest -> unit test, unit-test, unities
python2-backports-unittest_mock.noarch: W: summary-not-capitalized C backport of unittest mock for python 3.2 and before
python2-backports-unittest_mock.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python2-backports-unittest_mock.noarch: W: spelling-error %description -l en_US pytest -> testes
python2-backports-unittest_mock.noarch: E: wrong-script-interpreter /usr/share/doc/python2-backports-unittest_mock/conf.py /usr/bin/env python3
python3-backports-unittest_mock.noarch: W: spelling-error Summary(en_US) backport -> back port, back-port, backpacker
python3-backports-unittest_mock.noarch: W: spelling-error Summary(en_US) unittest -> unit test, unit-test, unities
python3-backports-unittest_mock.noarch: W: summary-not-capitalized C backport of unittest mock for python 3.2 and before
python3-backports-unittest_mock.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python3-backports-unittest_mock.noarch: W: spelling-error %description -l en_US pytest -> testes
python3-backports-unittest_mock.noarch: E: wrong-script-interpreter /usr/share/doc/python3-backports-unittest_mock/conf.py /usr/bin/env python3
python-backports-unittest_mock.src: W: spelling-error Summary(en_US) backport -> back port, back-port, backpacker
python-backports-unittest_mock.src: W: spelling-error Summary(en_US) unittest -> unit test, unit-test, unities
python-backports-unittest_mock.src: W: summary-not-capitalized C backport of unittest mock for python 3.2 and before
python-backports-unittest_mock.src: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python-backports-unittest_mock.src: W: spelling-error %description -l en_US pytest -> testes
3 packages and 0 specfiles checked; 2 errors, 15 warnings.

All of which I think can be ignored.

Comment 1 Kevin Fenzi 2017-02-04 22:57:19 UTC
BTW, this package is needed for the python2 tests of python-setuptools recent versions.

Comment 2 Neal Gompa 2017-02-04 22:59:10 UTC
Taking this review.

Comment 3 Neal Gompa 2017-02-04 23:07:44 UTC
Review notes:

+ Package is appropriately named
+ Subpackages are named correctly per current Python packaging guidelines
- %python_provide macro usage is missing on Python module subpackages
+ License noted correctly
- License file is not included in the module subpackages
+ Unit tests are run and pass in the %check section

Comment 4 Kevin Fenzi 2017-02-05 03:28:58 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/review/python-backports-unittest_mock/python-backports-unittest_mock.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/review/python-backports-unittest_mock/python-backports-unittest_mock-1.2.1-2.fc26.src.rpm

Added the python_provide macro. 
Added a copy of the MIT license, as upstream doesn't include it on purpose. I'll argue with them about it later, but in the mean time I am including a copy.

Comment 5 Neal Gompa 2017-02-05 03:55:42 UTC
Looks good to me.

APPROVED.

Comment 6 Kevin Fenzi 2017-02-05 19:01:16 UTC
Thanks for the quick review! 

Package requested.

Comment 7 Gwyn Ciesla 2017-02-06 13:42:49 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-backports-unittest_mock

Comment 8 Kevin Fenzi 2017-02-06 18:00:13 UTC
Built in rawhide. Thanks.


Note You need to log in before you can comment on or make changes to this bug.